using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1.zad_pecina
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int[] a=new int[n];
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = int.Parse(s[i]);
            }
            if(a[0]<=l)Console.WriteLine(1);
            int j=0;
            while (j < n&&a[j] > l)
            {
                j++;
            }
            if (j == n) Console.WriteLine(-1);
            else
            {
                Console.WriteLine(j + 1);
            }
        }
    }
}